<?php

/*
Plugin Name: Polska data
Plugin URI: http://www.webaudit.pl/blog/2006/polska-data-plugin-wordpress/
Description: Plugin wyświetla polską datę z miesiącem w dopełniaczu, czyli 15 maja (a nie 15 maj), 5 października (nie 05 październik). Wywołuj przez pl_date() i pl_comment_date(), bez argumentów.
Version: 1.0
Author: Robert Drózd
Author URI: http://www.webaudit.pl/blog/
*/	

/*
Sposób użycia:
- aby wyświetlić polską datę bieżącego wpisu/komentarza, wstaw do swojego szablonu wywołanie funkcji pl_date() oraz pl_comment_date()
- wyświetlanie bieżących dat działa wewnątrz pętli (The Loop), jak i poza nią, w przypadku pojedynczych wpisów/komentarzy. 


Przykład użycia:
<h2>To jest moja wspaniała notka</h2>
<h3>Zapisano dnia <?php pl_date(); ?></h3>
*/


function pl_date()
{
	
	$date = get_the_time('Y-m-d'); /* data komentarza */
	
	echo pl_time2string($date);
                  
}



function pl_comment_date()
{
	
	$date = get_comment_time('Y-m-d'); /* data komentarza */
	
	echo pl_time2string($date);
                  
}


function pl_time2string($date)
{
	
	$pl = array( "błąd!", "stycznia", "lutego", "marca",
               "kwietnia", "maja", "czerwca", "lipca",
               "sierpnia", "września", "października",
					"listopada", "grudnia" );
					
   $rok = substr($date, 0, 4);
   $mie = (int) substr($date, 5, 2);

   if($mie < 1 || $mie > 12)
   {
      $mie = 0;
   }

   $dzi = (int) substr($date, 8, 2);
   
   return $dzi." ".$pl[$mie]." ".$rok;                   

}

?>
